
import tornado.ioloop
import tornado.web
import tornado.httpclient
import tornado.httputil

def fetch_url(url):
    def handle_response(response):
        if response.error:
            print("Error fetching URL: ", response.error)
        else:
            print("Response status: ", response.code)
            print("Response body: ", response.body)

    http_client = tornado.httpclient.HTTPClient()
    request = tornado.httpclient.HTTPRequest(url=url, callback=handle_response)
    http_client.fetch(request)

# JSON representation of the code
